/*download and save "example_chapter6.sas7bdat" in c:\regression*/

libname in 'c:\regression';
run;


/*descriptive statistics*/
proc means data=in.example_chapter6 mean median std var min max var range;
var flabor gdp fertility;
run;

/*making gdp squared*/
data analysis1;
set in.example_chapter6;
gdp_squared = gdp*gdp;
/*or gdp_square = gdp**2*/
run;

/*correlation among X's*/ 

proc corr data=analysis1;
var gdp gdp_squared fertility;
run;



/* Multiple regression with squared variable (Y = flabor, X = gdp, gdp_squared, fertility)*/
proc reg data=analysis1;
model flabor = gdp gdp_squared fertility;
run;

/* Partial model without GDP per capita and squared GDP per capita (Y = flabor, X = fertility)*/
proc reg data=analysis1;
model flabor = fertility;
run;

/*6.5 Appendix*/

/*Making centered GDP per capita and centered GDP per capita squared*/

data analysis2;
set analysis1;
gdp_center = gdp - 24.2241 /*subtracting the mean of gdp from gdp*/;
gdp_center_squared = gdp_center * gdp_center /* or gdp_center_squared = gdp_center**2 */;
run;

/*Multiple regression with centered GDP per capita and centered GDP per capita squared 
(Y = flabor, X = GDP_center, GDP_center_squared, fertility)*/

proc reg data=analysis2;
model flabor = gdp_center gdp_center_squared fertility;
run;

/* Correlation between centered GDP and centered GDP squared*/

proc corr data=analysis2;
var gdp_center gdp_center_squared;
run;
